 

/**
 * Created by dan on 6/14/17.
 */
public class StringUtilities {
    /**
     * @return `Hello World` as a string
     */
    public static String getHelloWorld() 
    {
        return "Hello World";
        
    }

    /**
     * @param firstSegment a string to be added to
     * @param secondSegment a string to add
     * @return the concatenation of two strings, `firstSegment`, and `secondSegment`
     */
    public static String concatenation(String firstSegment, String secondSegment)
    {
        StringBuilder msg = new StringBuilder().append(firstSegment).append(secondSegment);
        return msg.toString();
    }

    /**
     * @param firstSegment a string to be added to
     * @param secondSegment a string to add
     * @return the concatenation of an integer, `firstSegment`, and a String, `secondSegment`
     */
    public static String concatenation(int firstSegment, String secondSegment)
    {
        StringBuilder msg = new StringBuilder().append(firstSegment).append(secondSegment);
        return msg.toString();
    }

    /**
     * @param input a string to be manipulated
     * @return the first 3 characters of `input`
     */
    public static String getPrefix(String input)
    {
        if(input.length() <= 3)
        {
            return input;
        }
        return (input.substring(0,3));
    }

    /**
     * @param input a string to be manipulated
     * @return the last 3 characters of `input`
     */
    public static String getSuffix(String input)
    {
        String str = input.substring(input.length() - 3);
        return str;
    }

    /**
     * @param inputValue the value to be compared
     * @param comparableValue the value to be compared against
     * @return the equivalence of two strings, `inputValue` and `comparableValue`
     */
    public static Boolean compareTwoStrings(String inputValue, String comparableValue){
        if(inputValue.equals(comparableValue))
        {
        return true;
    }
    else
{
    return false;
}
    }

    /**
     * @param inputValue the value input from user
     * @return the middle character of `inputValue`
     */
    public static Character getMiddleCharacter(String inputValue)
    {
        if((inputValue.length() % 2 == 0))
        {
            return inputValue.charAt((inputValue.length()/2)-1);
        }
        else
        {
        return inputValue.charAt((inputValue.length()/2));
    }
}

    /**
     * @param spaceDelimitedString a string, representative of a sentence, containing spaces
     * @return the first sequence of characters
     */
    public static String getFirstWord(String spaceDelimitedString)
    {
        String word[] = spaceDelimitedString.split(" ",2);
        return word[0];
    }

    /**
     * @param spaceDelimitedString a string delimited by spaces
     * @return the second word of a string delimited by spaces.
     */
    public static String getSecondWord(String spaceDelimitedString)
    
    {
       
        String word[] = spaceDelimitedString.split(" ",2);
        return word[1];
    }

    /**
     * @param stringToReverse
     * @return an identical string with characters in reverse order.
     */
    public static String reverse(String stringToReverse)
    {
       StringBuilder msg = new StringBuilder(stringToReverse);
       return msg.reverse().toString();
    }
}
